1. 선 그리기 [VB]


1. Form_Load

공통루틴에 설명된 프로그램 초기화 과정을 Form 로드시에 수행합니다.

InitApplication

2. Draw1Line

사용자로 부터 시작점과 끝점을 입력받아 선분을 그립니다.

Private Sub Draw1Line()

  Dim objLine As AcadLine
  Dim vsp, vep As Variant

  ' 시작점을 입력받는다.
  vsp = objAcDoc.Utility.GetPoint(, "시작점: ")
  ' 끝점을 입력받는다.
  vep = objAcDoc.Utility.GetPoint(vsp, "끝점: ")

  Set objLine = objAcDoc.ModelSpace.AddLine(vsp, vep)

  objAcApp.Update

End Sub

3. cmdDraw_Click

선 그리기 버튼에 대한 처리를 수행합니다.

Private Sub cmdDraw_Click()

  Hide
  GetActiveDocument
  Draw1Line
  Show

End Sub

4. cmdExit_Click

종료 버튼에 대한 처리를 수행합니다.

Private Sub cmdExit_Click()

  Unload Me

End Sub



관련 자료
disk [1] 선 그리기 [VB] (5.89KB)

Last updated 2002-09-07 by choi@moon-sun.com
Home